html {
  margin: 0;
  min-height:100%;
}

body {
  margin: 0;
  padding: 0;
  position: absolute;
  bottom: 0;
  top: 0;
  left: 0;
  right: 0;
}

#main {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-content: stretch;
  min-height:100%;
  margin: 0;
  /*background:midnightblue;/*linear-gradient(to right top, #2C163D, #142237);*/
  background-image: url("/images/hexagon.jpg");
  background-size: cover;
}

#main-menu {
  .nav-item .nav-link, 
  .dropdown-menu .dropdown-item
  {
    padding: 0px 1rem;

    a {
      display: block;
      padding: 0.5rem 0px;
    }
  }

  .nav-item .nav-link
  {
    a:hover {
      background-color: rgba(126, 126, 126, 0.1);
    }
  }
}

.page {
  margin: 0;
  /* color: #FFF; */
  order: 0;
  flex: 1;
  align-self: auto;
}

.header {
  font-size: 50px;
  padding: 20px;
  text-align: center;
}

.title {
  text-align: center;
  text-transform: uppercase;
  margin-top: 20px;
  font-family: NunitoSans-Bold, Nunito, serif;
  font-size: 18px;
  font-weight: bold;
  color: #D3DBEA;
}

.card-title {
  text-align: center;
  text-transform: uppercase;
  color: #0F1E39;
  font-family: Passion, PassionOne, PassionOne-Regular, serif;
  font-size: 30px;
}

.med {
  font-size: 18px;
}

.lg {
  font-size: 24px;
}

.nav-btn {
  color: white;
  margin: 20px;
  font-size: 40px;
}

.card {
  border-radius: 20px;
  margin: 12px;
  padding: 10px;
  background-color: #E3E9F8;
  color: #131636;
  height: 86%;
}

.modal {
  height: 70%;
}

.emoji {
  text-align: center;
  padding: 10px;
  font-size: 100px;
  color: #333333;
  border-color: black;
  text-shadow: 0 0 3px 0 rgb(1, 0, 0);
}

.reversed {
  transform: rotate(180deg);
}

.lab {
  margin-left: 10px;
}

.list-item {
  margin: 3px;
  padding: 12px;
  color: black;
  background-color: #E3E9F8;
  font-size: 22px;
  border-radius: 10px;
}

.list-item-name {
  font-size: 22px;
  font-family: Passion, PassionOne, PassionOne-Regular, serif;
}

.list-item-meaning {
  font-size: 15px;
  font-family: Nunito, NunitoSans, NunitoSans-Regular, serif;
  color: #131636;
}

.emoji_window {
  height: 80px;
  width: 80px;
  margin-bottom: 20px;
}

.fa {
  font-family: FontAwesome, serif;
}

.h_v_center_parent {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  align-content: stretch;
  align-items: center;
}

.h_v_center_children {
  order: 0;
  flex: 0 1 auto;
  align-self: auto;
}

.options {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  align-content: center;
  align-items: stretch;
}

.options>* {
  order: 0;
  flex: 1 1 0;
  align-self: auto;
  /* margin-bottom: 10px; */
}

/*
.options>*:last-child {
  margin-bottom: 0px;
}
*/

.menu_logo {
  height: 5rem;
}

.logo_footer {
  height: 3rem;
}

.logo {
  margin: 0px 0px 0px 0px;
}

#main-menu {
  order: 0;
  flex: 0 1 auto;
  align-self: auto;
  padding: 0px 0px 0px 5px;

  color: white;
  background-color: var(--color-primary); /* rgba(31, 31, 31, 0.9); */

  /* jouer sur l'opacité selon le fond choisi */
  border-color: transparent;
  box-shadow: none;

  svg {
    margin-right: 15px;
  }
}

ul{
  .dropdown-menu{
    background-color: rgba(31, 31, 31, 0.9);
  }
}

#brand a {
  color: white;
}

#nav-item a {
  color: rgba(56, 182, 255, 1);
}

#nav-item-2 a {
  color: rgba(255, 102, 196, 1);
}

#footer {
  order: 0;
  flex: 0 1 auto;
  align-self: auto;

  padding: 10px 10px 2px 10px;
  font-size: 12px;
  color: white;
  background-color: var(--color-primary); /* rgba(31, 31, 31, 1.0); */

  /*!* jouer sur l'opacité selon le fond choisi **/
  border-color: transparent;
  box-shadow: none;
}

#footer ul {
  list-style: none;
  padding: 0px;
  margin: 0px;
}

#footer li {
  display: inline;
  margin-right: 10px;
}

#footer a {
  color: rgba(56, 182, 255, 1);
}

.game-btn {
  color: black;
  background-color: rgba(255, 102, 196, 1);
  border-color: transparent;
}
.btn-primary{
  color: black;
  background-color: rgba(255, 102, 196, 1);
  border-color: transparent;
}

.logout-btn{
  color: black;
  background-color: rgba(255, 102, 196, 1);
  border-color: transparent;
}

#btn-round a{
  width:85px;
  height:85px;
  background-color: rgba(255, 102, 196, 1);
  font:bold 13px Arial;
  border-radius:50%;
  border:none;
  color:#fff;
}

.about {
  color: white !important;
  background-color: rgba(31, 31, 31, 0.6) !important;

  /*!* jouer sur l'opacité selon le fond choisi **/
  border-color: transparent;
  box-shadow: none;

  h4 {
    color: rgba(255, 102, 196, 1);
    font-weight: bold;
  }

  h5{
    color: rgba(56, 182, 255, 1);
    font-weight: bold;
  }

}

select.lang_switch {
  padding: 4px 8px;
  background: #ffffff;
  width: fit-content;
}

#cancel{
  display: inline;
}

#remove{
  display: inline;
}

#score-table th{
  color:white;
}

.cover>img {
  width: 100%;
  height: 100%;
  border-radius: 50%;
}

.cover {
  width: 64px;
  height: 64px;
  margin: 0px;
  padding-right: 15px;
}

.main-label {
  font-size: 1em;
}

.minor-label {
  font-size: 0.8em;
  color: grey;
}

/*
select.lang_switch {
  width: fit-content;
  -webkit-appearance: none !important;
  -moz-appearance: none !important;
  text-indent: 1px;
  text-overflow: '';
  appearance: none !important; 
}

select.lang_switch::-ms-expand {
  display: none;
}
*/

.tabs {
  padding: 10px;
  margin: 10px 0px;
  color: white !important;
  background-color: rgba(31, 31, 31, 0.6) !important;
}
/*
.tabs {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-content: stretch;
  min-height:100%;
  margin: 0;
}

.tab-content {
  background-color: #E3E9F8;
  order: 0;
  flex: 0 1 auto;
  align-self: auto;
}
 */

/*
order: 0;
  flex: 0 1 auto;
  align-self: auto;
*/

/*
  var(--color-primary)
  var(--color-secondary)
  var(--color-accent)
  var(--font-color)
 */


.list-group-item .main-label {
  color: black;
}

.list-group-item .cover {
  margin-right: 20px;
}

.list-group-item {
  .badge.status {
    margin-left: 20px;
  }

  .badge.category:not(:last-child) {
    margin-right: 5px;
  }

  .badge.category {
    margin-bottom: 2px;
  }
}

.item-list .media {
  position: relative;
}

.list-group-item .close, 
.media .close {
  visibility: hidden;
  background: #bbb;
  color: inherit;
  border: none;
  padding: 0px 16px;
  //padding: 12px 16px;
  font: inherit;
  cursor: pointer;
  outline: inherit;
  color: black;

  font-size: 16px;
  font-weight: normal;

  position: absolute;
  right: 0%;
  top: 0%;
  bottom: 0%;
}

.list-group-item .close.persistent, 
.media .close.persistent {
  visibility: visible;
}

.list-group-item .align-left {
  position: absolute;
  left: 0%;
  top: 0%;
  bottom: 0%;
}

/*.close {
  font-size: 25px;
  color: #131636;
}*/

.list-group-item:hover .close, 
.media:hover .close{
  visibility: visible;
}

.list-group-item .close:hover, 
.media .close:hover {
  font-weight: bold;
}

/*.list-group-item .right-area {
  margin-right: 40px;
}*/

.btn-group .grouped-button.is-invalid {
  border: 1px solid red;
}

.btn-group .grouped-button {
  background-color: #e9ecef;
  border: 1px solid rgb(206, 212, 218);
  color: #495057;
}

.btn-group .grouped-button:hover {
  background-color: #dee0e2;
  border: 1px solid rgb(206, 212, 218);
  color: #212529;
}

.btn-group>*:not(:first-child),
.btn-group>.custom-file.b-form-file>.custom-file-label {
  border-top-left-radius: 0px;
  border-bottom-left-radius: 0px;
}

.btn-group>*:not(:last-child),
.btn-group>.custom-file.b-form-file>.custom-file-label {
  border-top-right-radius: 0px;
  border-bottom-right-radius: 0px;
}

.flex-fixed {
  order: 0;
  flex: 0 0 auto;
  align-self: auto;
}

/*.flex-fill {
  order: 0;
  flex: 1 1 auto;
  align-self: auto;
  overflow-y: auto;
}*/
.flex-scrollable {
  order: 0;
  overflow-y: auto;
  align-self: auto;
}

.settings, 
.player-list, 
.music-list {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-content: stretch;
  align-items: stretch;

  overflow-y: hidden;
  min-width: 20em;
  max-width: 30vw;
}

.player-list, 
.music-list {
  /*min-height: calc(100vh - 302px);*/ /*70vh;*/
  max-height: calc(100vh - 302px); /*70vh;*/
}

.music-list .plus-btn, 
.player-list .plus-btn {
  padding: 0;
  border: 2px dashed grey;
  color: grey;
  font-weight: bold;
  font-size: 1.5em;
}

.music-list .suggestions li {
  color: black;
  cursor: pointer;
}

.music-list .suggestions li:hover,
.music-list .suggestions li.active {
  background-color: #bbb;
}

.music-list .title, 
.music-list .suggestions {
  min-height: 30%;
}

.settings>*:not(:first-child) {
  margin-top: 20px;
}

.embed-responsive audio.embed-responsive-item {
  height: 50px;
}

.embed-responsive .embed-responsive-4by3::before {
  padding-top: 18%;
}

.badge.help {
  font-size: 40%;
  vertical-align: middle;
  background-color: #212529;
}

.item-list>.content {
  background-color: var(--color-primary);
  /*padding: 10px 5px;*/
}

.item-list>.content>*:not(:last-child) {
  border-bottom: 2px solid grey;
}

.item-list>.content {
  max-height: 30vh;
  overflow-y: auto;
}

.item-list .media>* {
  padding-top: 5px;
  padding-bottom: 5px;
}

.item-list .media>*:nth-last-child(2) {
  padding-right: 5px;
}

.item-list .media>*:first-child {
  padding-left: 5px;
}

.item-list .empty-label {
  padding: 5px;
}

.item-list .active {
  background-color: var(--color-accent);
}

/*.media-menu {
  position: fixed;
  z-index: 10;
}*/

/*.yt-search-field {
  width: 227px !important;
}*/

.flex-largiest {
  order: 0;
  flex: 1 1 auto !important;
  align-self: auto;
}

.flex-default {
  order: 0;
  flex: 0 1 auto !important;
  align-self: auto;
}

.flex-row-layout {
  display: flex !important;
  flex-direction: row !important;
  flex-wrap: nowrap !important;
  justify-content: center !important;
  align-content: stretch !important;
  align-items: flex-start !important;
}
